%define glibmm_version 2.24.0
%define pangomm_version 2.27.1
%define gtk_version 2.24.0

%define pkgname	gtkmm
%define api_version 2.4
%define major 1
%define libname_orig %mklibname %{pkgname} %{api_version}
%define libname %mklibname %{pkgname} %{api_version} %{major}
%define libnamedev %mklibname -d %{pkgname} %{api_version}
%define libnamestaticdev %mklibname -d -s %{pkgname} %{api_version}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for popular GUI library gtk+
Version:	2.24.5
Release:	%mkrel 1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	gtk+2-devel >= %{gtk_version}
BuildRequires:	glibmm2.4-devel >= %{glibmm_version}
BuildRequires:	pkgconfig(atkmm-1.6) >= 2.22.2
BuildRequires:	cairomm-devel  >= 1.2.2
BuildRequires:	pkgconfig(pangomm-1.4) >= %pangomm_version
BuildRequires:	gnome-common

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package	-n %{libname}
Summary:	C++ interface for popular GUI library gtk+
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	gtk+2-devel >= %{gtk_version}
Requires:	glibmm2.4-devel >= %{glibmm_version}
Obsoletes: %mklibname -d %{pkgname} %{api_version} %{major}

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.


%package	-n %{libnamestaticdev}
Summary:	Static libraries of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libnamedev} = %{version}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}
Obsoletes: %mklibname -d -s %{pkgname} %{api_version} %{major}

%description	-n %{libnamestaticdev}
This package contains the static libraries of %{pkgname}.


%package	doc
Summary:	GTKmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x --enable-static --enable-shared
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgdkmm-%{api_version}.so.%{major}{,.*}
%{_libdir}/libgtkmm-%{api_version}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc PORTING ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/gtkmm-%{api_version}
%{_libdir}/gdkmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files -n %{libnamestaticdev}
%doc COPYING
%{_libdir}/*.a

%files doc
%doc %{_datadir}/doc/gtkmm-%{api_version}
%doc %{_datadir}/devhelp/books/*


%changelog
* Sat Sep 10 2016 luigiwalser <luigiwalser> 2.24.5-1.mga6
+ Revision: 1051355
- 2.24.5

* Thu Feb 11 2016 umeabot <umeabot> 2.24.4-7.mga6
+ Revision: 954277
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 2.24.4-6.mga6
+ Revision: 868796
- build using -std=gnu++11 instead

* Sun Aug 23 2015 wally <wally> 2.24.4-5.mga6
+ Revision: 868785
- build with -std=c++11
- rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.24.4-4.mga5
+ Revision: 741553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.24.4-3.mga5
+ Revision: 680025
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.24.4-2.mga4
+ Revision: 528891
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 ovitters <ovitters> 2.24.4-1.mga4
+ Revision: 447802
- new version 2.24.4

* Sat Jan 12 2013 umeabot <umeabot> 2.24.2-6.mga3
+ Revision: 352906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.24.2-5.mga3
+ Revision: 305605
- Documentation group

* Wed Feb 15 2012 ovitters <ovitters> 2.24.2-4.mga2
+ Revision: 209347
- clean spec

* Sun Dec 04 2011 fwang <fwang> 2.24.2-3.mga2
+ Revision: 176174
- doc is a non-arch package
- do not ship .la files

* Thu Jul 14 2011 fwang <fwang> 2.24.2-1.mga2
+ Revision: 123946
- new version 2.24.2

* Tue Jun 28 2011 fwang <fwang> 2.24.0-1.mga2
+ Revision: 115111
- fix build
- update install
- new version 2.24.0

* Thu Jan 13 2011 ahmad <ahmad> 2.22.0-1.mga1
+ Revision: 8834
- imported package gtkmm2.4

